Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Class LocalStreamConnection

    java.lang.Object
      org.apache.xmlrpc.common.LocalStreamConnection

    public class LocalStreamConnection

extends java.lang.Object

Implementation of `ServerStreamConnection` for use by the `XmlRpcLocalStreamTransport`.

Constructor Summary
`LocalStreamConnection(XmlRpcStreamRequestConfig pConfig, java.io.InputStream pRequest)` Creates a new instance with the given request stream.

Method Summary
`XmlRpcStreamRequestConfig` | `getConfig()` Returns the request configuration.
`java.io.InputStream` | `getRequest()` Returns the request stream.
`java.io.ByteArrayOutputStream` | `getResponse()` Returns an output stream, to which the response may be written.
`ServerStreamConnection` | `getServerStreamConnection()` Returns the servers connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalStreamConnection

    public LocalStreamConnection(XmlRpcStreamRequestConfig pConfig,
                                 java.io.InputStream pRequest)

  Creates a new instance with the given request stream.

Method Detail

### getRequest

    public java.io.InputStream getRequest()

  Returns the request stream.

### getConfig

    public XmlRpcStreamRequestConfig getConfig()

  Returns the request configuration.

### getResponse

    public java.io.ByteArrayOutputStream getResponse()

  Returns an output stream, to which the response may be written.

### getServerStreamConnection

    public ServerStreamConnection getServerStreamConnection()

  Returns the servers connection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.